# 视频播放
module AliyunVod::Service::VideoPlay
  # 获取视频播放地址
  # https://help.aliyun.com/document_detail/56124.html?spm=a2c4g.11186623.6.715.4d7e2d52dU1CTK
  def get_play_info(video_id, **opts)
    params = {
      Action: 'GetPlayInfo',
      VideoId: video_id
    }.merge(base_params)

    params = opts.merge(params)

    result = request(:post, params)

    result
  end
end